com.fasterxml.jackson.databind

## Class EnumNamingStrategies.DelegatingEnumNamingStrategy

- java.lang.Object
- - com.fasterxml.jackson.databind.EnumNamingStrategies.DelegatingEnumNamingStrategy

All Implemented Interfaces:
  EnumNamingStrategy

Direct Known Subclasses:
  EnumNamingStrategies.CamelCaseStrategy, EnumNamingStrategies.KebabCaseStrategy, EnumNamingStrategies.LowerCamelCaseStrategy, EnumNamingStrategies.LowerCaseStrategy, EnumNamingStrategies.LowerDotCaseStrategy, EnumNamingStrategies.SnakeCaseStrategy, EnumNamingStrategies.UpperCamelCaseStrategy, EnumNamingStrategies.UpperSnakeCaseStrategy

Enclosing class:
  EnumNamingStrategies

    public abstract static class EnumNamingStrategies.DelegatingEnumNamingStrategy
    extends Object
    implements EnumNamingStrategy

### Constructor Summary

Constructors
`protected` `DelegatingEnumNamingStrategy(NamingStrategyImpls strategy)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `convertEnumToExternalName(String enumName)` Translates the given `enumName` into an external property name according to the implementation of this `EnumNamingStrategy`.
`protected static String` `toBeanName(String enumName)` Normalizes the enum name to lower camel case in order to be further processed by a NamingStrategies

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DelegatingEnumNamingStrategy

    protected DelegatingEnumNamingStrategy(NamingStrategyImpls strategy)

### Method Detail

#### convertEnumToExternalName

    public String convertEnumToExternalName(String enumName)

Description copied from interface: `EnumNamingStrategy`
Translates the given `enumName` into an external property name according to the implementation of this `EnumNamingStrategy`.

Specified by:
  `convertEnumToExternalName` in interface `EnumNamingStrategy`
Parameters:
  `enumName` - the name of the enum value to translate
Returns:
  the external property name that corresponds to the given `enumName` according to the implementation of this `EnumNamingStrategy`.

#### toBeanName

    protected static String toBeanName(String enumName)

Normalizes the enum name to lower camel case in order to be further processed by a NamingStrategies

Parameters:
  `enumName` - the enum name to be normalized
Returns:
  the normalized enum name